local TinyBuffCell = class("TinyBuffCell", BaseCell)

function TinyBuffCell:refresh(buffName, round, num, result)
    if round <= 0 or round > 9 then
        round = GConst.EMPTY_STRING
    else
        round = tostring(round)
    end

    local uiMap = self:getUIMap()
    uiMap["tiny_buff_cell.buff_icon"]:setSprite(GConst.ATLAS_PATH.ICON_BUFF, buffName)
    uiMap["tiny_buff_cell.round_text"]:setText(round)

    local buffNum = uiMap["tiny_buff_cell.buff_num"]
    if buffName == GConst.BattleConst.BUFF_NAME.INVINCIBLE_SHIELD then
        uiMap["tiny_buff_cell.round_text"]:setText(GConst.EMPTY_STRING)
        result = result or num
        buffNum:setText(result or GConst.EMPTY_STRING)
    else
        buffNum:setText(GConst.EMPTY_STRING)
    end
end

return TinyBuffCell